## Sistema di init

I servizi (o *demoni*) possono essere controllati da script di shell, come in `SysVinit`, o da un programma e dai suoi file di configurazione, come in `systemd`. 

Il sistema di init e' il primo programma lanciato dal kernel, quindi il suo **PID** (*Process Identification Number*) sara' sempre 1.

### SysVinit

Fornisce un set predefinito di stati di sistema, chiamati *runlevel*, numerati da 0 a 6.

- **runlevel 0**: spegnimento del sistema
- **runlevel 1**, s o single: modalita' utente singolo, senza rete (manutenzione)  
- **runlevel 2**,**3** o **4**: modalita' multiutente con accesso tramite console  
- **runlevel 5**: modalita' multiutente grafica
- **runlevel 6**: riavvio del sistema